Energia

## concat()

#### Description

Combines, or concatenates two strings into one new String. The second string is appended to the first, and the result is placed in a new String

#### Syntax

string.concat(string, string2)

#### Parameters

string, string2: variables of type String

#### Returns

new String that is the combination of the original two Strings

#### Example

- StringAppendOperator

#### See also

- String Addition Operator

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia Reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes